Region Healths - Get

傳回區域所要求的健康情況狀態。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/{location}?api-version=2016-05-01

URI 參數

名稱 位於 必要 類型 Description
location
path True

string

區域的名稱

resourceGroupName
path True

string

資源群組的名稱。

subscriptionId
path True

string

可唯一識別Microsoft Azure 訂用帳戶的訂用帳戶認證。 訂用帳戶標識碼會形成每個服務呼叫 URI 的一部分。

api-version
query True

string

用戶端 API 版本。

回應

名稱 類型 Description
200 OK

RegionHealth

還行

安全性

azure_auth

授權會使用 Azure Active Directory OAuth2 流程。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Returns the requested health status of a region.

範例要求

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/local?api-version=2016-05-01

範例回覆

{
  "id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/local",
  "name": "local",
  "type": "Microsoft.InfrastructureInsights.Admin/regionHealths",
  "location": "local",
  "tags": {},
  "properties": {
    "usageMetrics": [
      {
        "name": "Physical memory",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "GB",
            "value": 76.24941635131836
          },
          {
            "name": "Available",
            "unit": "GB",
            "value": 181.7333984375
          }
        ]
      },
      {
        "name": "Physical storage",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "TB",
            "value": 0.22170669212937355
          },
          {
            "name": "Available",
            "unit": "TB",
            "value": 2.2449070774018764
          }
        ]
      },
      {
        "name": "Public IP address pools",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "One",
            "value": 31
          },
          {
            "name": "Available",
            "unit": "One",
            "value": 480
          }
        ]
      }
    ],
    "alertSummary": {
      "criticalAlertCount": 0,
      "warningAlertCount": 2
    }
  }
}

定義

名稱 Description
AlertSummary

警示的摘要。

Metrics

來源的計量。

MetricsSourceType

計量的來源。

MetricsUnit

計量的單位。

RegionHealth

包含與區域健康情況相關的資訊。

UsageMetrics

資源使用量的計量。

AlertSummary

警示的摘要。

名稱 類型 Description
criticalAlertCount

integer

服務的重要警示數目。

warningAlertCount

integer

服務的警告警示數目。

Metrics

來源的計量。

名稱 類型 Description
maCounterName

string

計數器的名稱。

name

string

使用計量的名稱。

observedTimestamp

string (date-time)

觀察到時間計數器。

sourceName

MetricsSourceType

來源的名稱。

sourceType

string

來源的類型。

unit

MetricsUnit

計量的單位。

value

number (double)

使用計量的名稱。

MetricsSourceType

計量的來源。

Description
PhysicalNode
VirtualMachine
ResourceProvider

MetricsUnit

計量的單位。

Description
One
Percentage
B
KB
MB
GB
TB

RegionHealth

包含與區域健康情況相關的資訊。

名稱 類型 Description
id

string

資源的完整資源標識碼

location

string

資源所在的 Azure 區域

name

string

資源的名稱

properties.alertSummary

AlertSummary

警示摘要。

properties.usageMetrics

UsageMetrics[]

區域的使用計量清單。

tags

object

資源標籤。

type

string

資源的型別。

UsageMetrics

資源使用量的計量。

名稱 類型 Description
metricsValue

Metrics[]

使用計量清單。

name

string

使用計量的名稱。